> ## Documentation Index
> Fetch the complete documentation index at: https://docs.amplemarket.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve Job Opening

> Retrieve Job Opening



## OpenAPI

````yaml get /job-openings/{id}
openapi: 3.0.1
info:
  title: Amplemarket API V1 Docs
  version: v1
servers:
  - url: https://api.amplemarket.com
security:
  - bearerAuth: []
paths:
  /job-openings/{id}:
    parameters:
      - name: id
        in: path
        required: true
        description: Job opening ID
        schema:
          type: string
    get:
      tags:
        - Job Openings
      summary: Retrieve Job Opening
      description: Retrieve Job Opening
      parameters: []
      responses:
        '200':
          description: Successful
          content:
            application/json:
              examples:
                Successful:
                  value:
                    id: 4519ca30-3635-436e-bbbb-2afb200839aa
                    title: Senior Software Engineer
                    url: https://example.com/jobs/123
                    raw_location: Remote - US
                    first_seen_at: '2026-04-01T12:00:00Z'
                    seniorities:
                      - Senior
                    departments:
                      - Engineering & Technical
                    job_functions:
                      - Software Development
                    description: Full job description
                    company_name: Example Inc
                    company_domain: example.com
                    raw_salary: $140k-$180k
                    contract_types:
                      - remote
                    last_seen_at: '2026-04-02T12:00:00Z'
              schema:
                type: object
                properties:
                  id:
                    type: string
                    format: uuid
                  title:
                    nullable: true
                    type: string
                  url:
                    nullable: true
                    type: string
                  raw_location:
                    nullable: true
                    type: string
                  first_seen_at:
                    type: string
                    format: date_time
                    nullable: true
                  seniorities:
                    type: array
                    items:
                      type: string
                  departments:
                    type: array
                    items:
                      type: string
                  job_functions:
                    type: array
                    items:
                      type: string
                  description:
                    nullable: true
                    type: string
                  company_name:
                    nullable: true
                    type: string
                  company_domain:
                    nullable: true
                    type: string
                  raw_salary:
                    nullable: true
                    type: string
                  contract_types:
                    type: array
                    items:
                      type: string
                  last_seen_at:
                    type: string
                    format: date_time
                    nullable: true
        '404':
          description: Not found
          content:
            application/json:
              examples:
                Not found:
                  value:
                    _errors:
                      - code: not_found
                        title: Not Found
                        detail: Job opening not found
                    object: error
              schema:
                $ref: '#/components/schemas/response_errors_object'
        '410':
          description: Gone
          content:
            application/json:
              examples:
                Gone:
                  value:
                    _errors:
                      - code: gone
                        title: Gone
                        detail: Job opening is no longer available
                    object: error
              schema:
                $ref: '#/components/schemas/response_errors_object'
components:
  schemas:
    response_errors_object:
      type: object
      required:
        - object
        - _errors
      additionalProperties: false
      properties:
        object:
          type: string
          enum:
            - error
        _errors:
          type: array
          items:
            $ref: '#/components/schemas/response_error_object'
        _links:
          $ref: '#/components/schemas/response_links_object'
    response_error_object:
      type: object
      required:
        - code
        - title
        - detail
      additionalProperties: false
      properties:
        code:
          type: string
        title:
          type: string
        detail:
          type: string
        source:
          type: object
          additionalProperties: false
          properties:
            pointer:
              type: string
    response_links_object:
      type: object
      required:
        - self
      additionalProperties: false
      properties:
        self:
          $ref: '#/components/schemas/response_link_object'
        prev:
          $ref: '#/components/schemas/response_link_object'
        next:
          $ref: '#/components/schemas/response_link_object'
    response_link_object:
      type: object
      required:
        - href
      additionalProperties: false
      properties:
        href:
          type: string
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````